--[[
Notes:
All low level subTypes return LIB_ITEM_LINK_LEVEL_LOW. You can't figure out the exact level.
The exact level only starts with CP.

Got the data from github: https://github.com/uesp/uesp-esoapps/blob/master/uespLog/uespLog.lua 
Slash-Command "/uespmineitems qualitymap"

create an exel like:
	subType		effLevel					quality					string ="["&B2&"] = { level = "&C2&", quality = "&D2&" }"
	0			LIB_ITEM_LINK_LEVEL_LOW		ITEM_QUALITY_NORMAL		[0] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL }

and use (    \[\d+\] = ") in the end for find and replace
]]

LIB_ITEM_LINK_LEVEL_LOW = 1
LIB_ITEM_LINK_LEVEL_CP_10 = 51
LIB_ITEM_LINK_LEVEL_CP_20 = 52
LIB_ITEM_LINK_LEVEL_CP_30 = 53
LIB_ITEM_LINK_LEVEL_CP_40 = 54
LIB_ITEM_LINK_LEVEL_CP_50 = 55
LIB_ITEM_LINK_LEVEL_CP_60 = 56
LIB_ITEM_LINK_LEVEL_CP_70 = 57
LIB_ITEM_LINK_LEVEL_CP_80 = 58
LIB_ITEM_LINK_LEVEL_CP_90 = 59
LIB_ITEM_LINK_LEVEL_CP_100 = 60
LIB_ITEM_LINK_LEVEL_CP_110 = 61
LIB_ITEM_LINK_LEVEL_CP_120 = 62
LIB_ITEM_LINK_LEVEL_CP_130 = 63
LIB_ITEM_LINK_LEVEL_CP_140 = 64
LIB_ITEM_LINK_LEVEL_CP_150 = 65
LIB_ITEM_LINK_LEVEL_CP_160 = 66
LIB_ITEM_LINK_LEVEL_CP_170 = 67
LIB_ITEM_LINK_LEVEL_CP_180 = 68

LIB_ITEM_SUB_TYPES =
{
	[0] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[1] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_TRASH },
	[2] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[3] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_MAGIC },
	[4] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARCANE },
	[5] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARTIFACT },
	[6] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_LEGENDARY },
	[7] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARCANE },
	[8] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARTIFACT },
	[9] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_MAGIC },
	[10] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_MAGIC },
	[11] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARCANE },
	[12] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_LEGENDARY },
	[13] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_LEGENDARY },
	[14] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_LEGENDARY },
	[15] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_LEGENDARY },
	[16] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_LEGENDARY },
	[17] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_LEGENDARY },
	[18] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_MAGIC },
	[19] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_MAGIC },
	[20] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[21] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_MAGIC },
	[22] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARCANE },
	[23] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARTIFACT },
	[24] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_LEGENDARY },
	[25] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[26] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_MAGIC },
	[27] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARCANE },
	[28] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARTIFACT },
	[29] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_LEGENDARY },
	[30] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[31] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_MAGIC },
	[32] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARCANE },
	[33] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARTIFACT },
	[34] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_LEGENDARY },
	[35] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[36] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[37] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[38] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[39] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_MAGIC },
	[40] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_MAGIC },
	[41] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_MAGIC },
	[42] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_MAGIC },
	[43] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_MAGIC },
	[44] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_MAGIC },
	[45] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_MAGIC },
	[46] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_MAGIC },
	[47] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_MAGIC },
	[48] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_MAGIC },
	[49] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARCANE },
	[50] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARCANE },
	[51] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_MAGIC },
	[52] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_MAGIC },
	[53] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_MAGIC },
	[54] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_MAGIC },
	[55] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_MAGIC },
	[56] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_MAGIC },
	[57] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_MAGIC },
	[58] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_MAGIC },
	[59] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_MAGIC },
	[60] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_MAGIC },
	[61] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_ARCANE },
	[62] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_ARCANE },
	[63] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_ARCANE },
	[64] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_ARCANE },
	[65] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_ARCANE },
	[66] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_ARCANE },
	[67] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_ARCANE },
	[68] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_ARCANE },
	[69] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_ARCANE },
	[70] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_ARCANE },
	[71] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_ARTIFACT },
	[72] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_ARTIFACT },
	[73] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_ARTIFACT },
	[74] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_ARTIFACT },
	[75] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_ARTIFACT },
	[76] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_ARTIFACT },
	[77] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_ARTIFACT },
	[78] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_ARTIFACT },
	[79] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_ARTIFACT },
	[80] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_ARTIFACT },
	[81] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_ARCANE },
	[82] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_ARCANE },
	[83] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_ARCANE },
	[84] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_ARCANE },
	[85] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_ARCANE },
	[86] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_ARCANE },
	[87] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_ARCANE },
	[88] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_ARCANE },
	[89] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_ARCANE },
	[90] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_ARCANE },
	[91] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_ARTIFACT },
	[92] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_ARTIFACT },
	[93] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_ARTIFACT },
	[94] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_ARTIFACT },
	[95] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_ARTIFACT },
	[96] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_ARTIFACT },
	[97] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_ARTIFACT },
	[98] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_ARTIFACT },
	[99] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_ARTIFACT },
	[100] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_ARTIFACT },
	[101] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_LEGENDARY },
	[102] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_LEGENDARY },
	[103] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_LEGENDARY },
	[104] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_LEGENDARY },
	[105] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_LEGENDARY },
	[106] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_LEGENDARY },
	[107] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_LEGENDARY },
	[108] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_LEGENDARY },
	[109] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_LEGENDARY },
	[110] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_LEGENDARY },
	[111] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_NORMAL },
	[112] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_NORMAL },
	[113] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_NORMAL },
	[114] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_NORMAL },
	[115] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_NORMAL },
	[116] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_NORMAL },
	[117] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_NORMAL },
	[118] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_NORMAL },
	[119] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_NORMAL },
	[120] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_NORMAL },
	[121] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_MAGIC },
	[122] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARCANE },
	[123] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARTIFACT },
	[124] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_LEGENDARY },
	[125] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_NORMAL },
	[126] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_NORMAL },
	[127] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_NORMAL },
	[128] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_NORMAL },
	[129] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_NORMAL },
	[130] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_NORMAL },
	[131] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_NORMAL },
	[132] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_NORMAL },
	[133] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_NORMAL },
	[134] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_NORMAL },
	[135] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_MAGIC },
	[136] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_MAGIC },
	[137] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_MAGIC },
	[138] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_MAGIC },
	[139] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_MAGIC },
	[140] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_MAGIC },
	[141] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_MAGIC },
	[142] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_MAGIC },
	[143] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_MAGIC },
	[144] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_MAGIC },
	[145] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_ARCANE },
	[146] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_ARCANE },
	[147] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_ARCANE },
	[148] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_ARCANE },
	[149] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_ARCANE },
	[150] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_ARCANE },
	[151] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_ARCANE },
	[152] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_ARCANE },
	[153] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_ARCANE },
	[154] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_ARCANE },
	[155] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_ARTIFACT },
	[156] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_ARTIFACT },
	[157] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_ARTIFACT },
	[158] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_ARTIFACT },
	[159] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_ARTIFACT },
	[160] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_ARTIFACT },
	[161] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_ARTIFACT },
	[162] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_ARTIFACT },
	[163] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_ARTIFACT },
	[164] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_ARTIFACT },
	[165] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_LEGENDARY },
	[166] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_LEGENDARY },
	[167] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_LEGENDARY },
	[168] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_LEGENDARY },
	[169] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_LEGENDARY },
	[170] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_LEGENDARY },
	[171] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_LEGENDARY },
	[172] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_LEGENDARY },
	[173] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_LEGENDARY },
	[174] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_LEGENDARY },
	[175] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[176] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[177] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_TRASH },
	[178] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_NORMAL },
	[179] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_NORMAL },
	[180] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_NORMAL },
	[181] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_NORMAL },
	[182] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_NORMAL },
	[183] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_NORMAL },
	[184] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_NORMAL },
	[185] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_NORMAL },
	[186] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_NORMAL },
	[187] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_NORMAL },
	[188] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_MAGIC },
	[189] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_MAGIC },
	[190] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_MAGIC },
	[191] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_MAGIC },
	[192] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_MAGIC },
	[193] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_MAGIC },
	[194] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_MAGIC },
	[195] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_MAGIC },
	[196] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_MAGIC },
	[197] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_MAGIC },
	[198] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_ARCANE },
	[199] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_ARCANE },
	[200] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_ARCANE },
	[201] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_ARCANE },
	[202] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_ARCANE },
	[203] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_ARCANE },
	[204] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_ARCANE },
	[205] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_ARCANE },
	[206] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_ARCANE },
	[207] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_ARCANE },
	[208] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_ARTIFACT },
	[209] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_ARTIFACT },
	[210] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_ARTIFACT },
	[211] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_ARTIFACT },
	[212] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_ARTIFACT },
	[213] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_ARTIFACT },
	[214] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_ARTIFACT },
	[215] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_ARTIFACT },
	[216] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_ARTIFACT },
	[217] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_ARTIFACT },
	[218] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_LEGENDARY },
	[219] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_LEGENDARY },
	[220] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_LEGENDARY },
	[221] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_LEGENDARY },
	[222] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_LEGENDARY },
	[223] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_LEGENDARY },
	[224] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_LEGENDARY },
	[225] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_LEGENDARY },
	[226] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_LEGENDARY },
	[227] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_LEGENDARY },
	[228] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_MAGIC },
	[229] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_MAGIC },
	[230] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_ARCANE },
	[231] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_ARTIFACT },
	[232] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_ARCANE },
	[233] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_ARTIFACT },
	[234] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_LEGENDARY },
	[235] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_NORMAL },
	[236] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_NORMAL },
	[237] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_MAGIC },
	[238] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_ARCANE },
	[239] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_ARTIFACT },
	[240] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_LEGENDARY },
	[241] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_NORMAL },
	[242] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_MAGIC },
	[243] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_ARCANE },
	[244] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_ARTIFACT },
	[245] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_LEGENDARY },
	[246] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_MAGIC },
	[247] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_MAGIC },
	[248] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_ARCANE },
	[249] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_ARTIFACT },
	[250] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_ARCANE },
	[251] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_ARTIFACT },
	[252] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_LEGENDARY },
	[253] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_NORMAL },
	[254] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_NORMAL },
	[255] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_MAGIC },
	[256] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_ARCANE },
	[257] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_ARTIFACT },
	[258] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_LEGENDARY },
	[259] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_NORMAL },
	[260] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_MAGIC },
	[261] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_ARCANE },
	[262] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_ARTIFACT },
	[263] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_LEGENDARY },
	[264] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_MAGIC },
	[265] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_MAGIC },
	[266] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_ARCANE },
	[267] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_ARTIFACT },
	[268] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_ARCANE },
	[269] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_ARTIFACT },
	[270] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_LEGENDARY },
	[271] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_NORMAL },
	[272] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_NORMAL },
	[273] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_MAGIC },
	[274] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_ARCANE },
	[275] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_ARTIFACT },
	[276] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_LEGENDARY },
	[277] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_NORMAL },
	[278] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_MAGIC },
	[279] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_ARCANE },
	[280] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_ARTIFACT },
	[281] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_LEGENDARY },
	[282] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_MAGIC },
	[283] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_MAGIC },
	[284] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_ARCANE },
	[285] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_ARTIFACT },
	[286] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_ARCANE },
	[287] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_ARTIFACT },
	[288] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_LEGENDARY },
	[289] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_NORMAL },
	[290] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_NORMAL },
	[291] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_MAGIC },
	[292] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_ARCANE },
	[293] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_ARTIFACT },
	[294] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_LEGENDARY },
	[295] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_NORMAL },
	[296] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_MAGIC },
	[297] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_ARCANE },
	[298] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_ARTIFACT },
	[299] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_LEGENDARY },
	[300] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_MAGIC },
	[301] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_MAGIC },
	[302] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_ARCANE },
	[303] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_ARTIFACT },
	[304] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_ARCANE },
	[305] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_ARTIFACT },
	[306] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_LEGENDARY },
	[307] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_NORMAL },
	[308] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_NORMAL },
	[309] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_MAGIC },
	[310] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_ARCANE },
	[311] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_ARTIFACT },
	[312] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_LEGENDARY },
	[313] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_NORMAL },
	[314] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_MAGIC },
	[315] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_ARCANE },
	[316] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_ARTIFACT },
	[317] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_LEGENDARY },
	[318] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_TRASH },
	[319] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[320] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_MAGIC },
	[321] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARCANE },
	[322] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_ARTIFACT },
	[323] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_LEGENDARY },
	[324] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_NORMAL },
	[325] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_NORMAL },
	[326] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_NORMAL },
	[327] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_NORMAL },
	[328] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_NORMAL },
	[329] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_NORMAL },
	[330] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_NORMAL },
	[331] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_NORMAL },
	[332] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_NORMAL },
	[333] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_NORMAL },
	[334] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_NORMAL },
	[335] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_NORMAL },
	[336] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_NORMAL },
	[337] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_NORMAL },
	[338] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_NORMAL },
	[339] = { level = LIB_ITEM_LINK_LEVEL_CP_10, quality = ITEM_QUALITY_MAGIC },
	[340] = { level = LIB_ITEM_LINK_LEVEL_CP_20, quality = ITEM_QUALITY_MAGIC },
	[341] = { level = LIB_ITEM_LINK_LEVEL_CP_30, quality = ITEM_QUALITY_MAGIC },
	[342] = { level = LIB_ITEM_LINK_LEVEL_CP_40, quality = ITEM_QUALITY_MAGIC },
	[343] = { level = LIB_ITEM_LINK_LEVEL_CP_50, quality = ITEM_QUALITY_MAGIC },
	[344] = { level = LIB_ITEM_LINK_LEVEL_CP_60, quality = ITEM_QUALITY_MAGIC },
	[345] = { level = LIB_ITEM_LINK_LEVEL_CP_70, quality = ITEM_QUALITY_MAGIC },
	[346] = { level = LIB_ITEM_LINK_LEVEL_CP_80, quality = ITEM_QUALITY_MAGIC },
	[347] = { level = LIB_ITEM_LINK_LEVEL_CP_90, quality = ITEM_QUALITY_MAGIC },
	[348] = { level = LIB_ITEM_LINK_LEVEL_CP_100, quality = ITEM_QUALITY_MAGIC },
	[349] = { level = LIB_ITEM_LINK_LEVEL_CP_110, quality = ITEM_QUALITY_MAGIC },
	[350] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_MAGIC },
	[351] = { level = LIB_ITEM_LINK_LEVEL_CP_130, quality = ITEM_QUALITY_MAGIC },
	[352] = { level = LIB_ITEM_LINK_LEVEL_CP_140, quality = ITEM_QUALITY_MAGIC },
	[353] = { level = LIB_ITEM_LINK_LEVEL_CP_150, quality = ITEM_QUALITY_MAGIC },
	[354] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_ARTIFACT },
	[355] = { level = LIB_ITEM_LINK_LEVEL_CP_120, quality = ITEM_QUALITY_LEGENDARY },
	[356] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[357] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[358] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_MAGIC },
	[359] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_MAGIC },
	[360] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_ARCANE },
	[361] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_ARTIFACT },
	[362] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_ARCANE },
	[363] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_ARTIFACT },
	[364] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_LEGENDARY },
	[365] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_NORMAL },
	[366] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_NORMAL },
	[367] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_MAGIC },
	[368] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_ARCANE },
	[369] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_ARTIFACT },
	[370] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_LEGENDARY },
	[371] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_NORMAL },
	[372] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_MAGIC },
	[373] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_ARCANE },
	[374] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_ARTIFACT },
	[375] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_LEGENDARY },
	[376] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_NORMAL },
	[377] = { level = LIB_ITEM_LINK_LEVEL_CP_160, quality = ITEM_QUALITY_MAGIC },
	[378] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[379] = { level = LIB_ITEM_LINK_LEVEL_LOW, quality = ITEM_QUALITY_NORMAL },
	[380] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_MAGIC },
	[381] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_MAGIC },
	[382] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_ARCANE },
	[383] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_ARTIFACT },
	[384] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_ARCANE },
	[385] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_ARTIFACT },
	[386] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_LEGENDARY },
	[387] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_NORMAL },
	[388] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_NORMAL },
	[389] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_MAGIC },
	[390] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_ARCANE },
	[391] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_ARTIFACT },
	[392] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_LEGENDARY },
	[393] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_NORMAL },
	[394] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_MAGIC },
	[395] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_ARCANE },
	[396] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_ARTIFACT },
	[397] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_LEGENDARY },
	[398] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_NORMAL },
	[399] = { level = LIB_ITEM_LINK_LEVEL_CP_170, quality = ITEM_QUALITY_MAGIC },
	[400] = { level = LIB_ITEM_LINK_LEVEL_CP_180, quality = ITEM_QUALITY_MAGIC },
}

do
	local MAX_LEVEL = GetMaxLevel()

	local function GetItemLink(subType)
		return string.format("|H0:item:47500:%s:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h", subType)
	end

	function LibItemLink_DumpItemQuality()
		LibItemLink_Data = { }
		LibItemLink_Data["itemQuality"] = { }

		local data = LibItemLink_Data["itemQuality"]

		for subType = 0, 400 do
			local itemLink = GetItemLink(subType)
			local itemId = GetItemLinkItemId(itemLink)
			if itemId and itemId >= 0 then
				local quality = GetItemLinkQuality(itemLink)
				local requiredLevel = GetItemLinkRequiredLevel(itemLink)
				local requiredChampionPoints = GetItemLinkRequiredChampionPoints(itemLink)
				if requiredChampionPoints > 0 then
					requiredLevel = MAX_LEVEL + math.floor(requiredChampionPoints / 10)
				end

				data[#data + 1] = string.format("[%d] = { level = %d, quality = %d },", subType, requiredLevel, quality)
			end
		end
	end
end